
/* ---------------------------------------------------------------------
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.  

   Copyright (c) 2001-2002 by Michal Ociepka <armadillo@wp.pl>

   For more info:
   http://xdefactor.republika.pl
   --------------------------------------------------------------------- */


#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>
#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <postgresql/libpq-fe.h>
#include "callbacks.h"
#include "message.h"
//#include "message.c"
#include "libfix5.h"

void dodaj_promocje(GtkWidget *button1, gpointer data){

	extern PGconn 		*conn;
	extern PGresult		*res;

	extern gchar dynam[1024];
	gchar *buff;
	glong id;
	GtkWidget *entry1, *entry2, *entry3, *entry4;

	buff = (char *)malloc(sizeof(dynam));
	
	entry1 = gtk_object_get_data(GTK_OBJECT(button1), "entry1");
	entry2 = gtk_object_get_data(GTK_OBJECT(button1), "entry2");
	entry3 = gtk_object_get_data(GTK_OBJECT(button1), "entry3");
	entry4 = gtk_object_get_data(GTK_OBJECT(button1), "entry4");

	sprintf(buff, "SELECT MAX(id) FROM promocja;");
		res = PQexec(conn, buff);
		if(PQgetvalue(res, 0, 0) == "")
		{
			id=1;
		}else{
			id = atoi(PQgetvalue(res, 0, 0));
			id++;
		}
	// dodaje promocje 
	sprintf(buff, "INSERT INTO promocja(id, id_towaru, cena_promocyjna, data_od, data_do) VALUES (%ld, '%s', %.2f, '%s', '%s');", id, ENTRY_GET_TEXT(entry1), fix5(atof(ENTRY_GET_TEXT(entry4))), ENTRY_GET_TEXT(entry2), ENTRY_GET_TEXT(entry3));

	res = PQexec(conn, buff);

	message_dlg("Promocja zostaa dodana. ", "info");
	free(buff);	

}
